This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 783716 - Review Request:gmail-notify-ext - Gmail checker Gnome Online Accounts based
Review Request:gmail-notify-ext - Gmail checker Gnome Online Accounts based
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 785414 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-21 19:05 EST by Adam Jabłoński
Modified: 2015-01-12 03:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-15 07:09:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Jabłoński 2012-01-21 19:05:15 EST
Spec URL: http://dl.dropbox.com/u/47812293/gmail_notify/V3.4/fedora/gmail-notify-ext.spec
SRPM URL: http://dl.dropbox.com/u/47812293/gmail_notify/V3.4/fedora/gmail-notify-ext-0.3.4-1.fc16.src.rpm
Description: Gnome 3 shell extension to check gmail accounts for new emails checker. Utilizes Gnome Online Accounts OAuth to connect to Gmail
Comment 1 Stephen Gordon 2012-01-24 15:32:41 EST
- Based on previous extensions that have been approved, consider renaming the package to fit the form gnome-shell-extension-*.

- The license string is not recognised, see the following for a list of valid values. In this instance you possibly want GPLv2 or GPLv2+.
  http://fedoraproject.org/wiki/Licensing

- Use the %find_lang macro for the locale files:
  http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files

- This looks like a noarch package but is not marked as such:

http://fedoraproject.org/wiki/Common_Rpmlint_issues#no-binary

- Consider adding a README:

http://fedoraproject.org/wiki/Common_Rpmlint_issues#no-documentation

- Consider expanding the %description field, currently it contains less information than the Summary.

Full rpmlint output:

gmail-notify-ext.x86_64: W: invalid-license GPL2
gmail-notify-ext.x86_64: E: no-binary
gmail-notify-ext.x86_64: W: no-documentation
gmail-notify-ext.x86_64: W: file-not-in-%lang /usr/share/locale/cs/LC_MESSAGES/gmail_notify.mo
gmail-notify-ext.x86_64: W: file-not-in-%lang /usr/share/locale/de/LC_MESSAGES/gmail_notify.mo
gmail-notify-ext.x86_64: W: file-not-in-%lang /usr/share/locale/es/LC_MESSAGES/gmail_notify.mo
gmail-notify-ext.x86_64: W: file-not-in-%lang /usr/share/locale/fr/LC_MESSAGES/gmail_notify.mo
gmail-notify-ext.x86_64: W: file-not-in-%lang /usr/share/locale/gl/LC_MESSAGES/gmail_notify.mo
gmail-notify-ext.x86_64: W: file-not-in-%lang /usr/share/locale/hu/LC_MESSAGES/gmail_notify.mo
gmail-notify-ext.x86_64: W: file-not-in-%lang /usr/share/locale/it/LC_MESSAGES/gmail_notify.mo
gmail-notify-ext.x86_64: W: file-not-in-%lang /usr/share/locale/nl/LC_MESSAGES/gmail_notify.mo
gmail-notify-ext.x86_64: W: file-not-in-%lang /usr/share/locale/pl/LC_MESSAGES/gmail_notify.mo
gmail-notify-ext.x86_64: W: file-not-in-%lang /usr/share/locale/se/LC_MESSAGES/gmail_notify.mo
1 packages and 0 specfiles checked; 1 errors, 12 warnings.

Note I'm not sponsored, so can't take this review request, but addressing the above may help expedite the review process when someone else does.
Comment 2 Mohamed El Morabity 2012-01-28 15:04:51 EST
*** Bug 785414 has been marked as a duplicate of this bug. ***
Comment 3 Adam Jabłoński 2012-01-28 16:24:34 EST
Spec URL:
http://dl.dropbox.com/u/47812293/gmail_notify/V3.5/gmail-notify-ext-0.3.5-1.spec
SRPM URL:
http://dl.dropbox.com/u/47812293/gmail_notify/V3.5/gmail-notify-ext-0.3.5-1.fc16.src.rpm
Description: Updated Gnome 3 shell extension to check gmail accounts for new emails
checker. Utilizes Gnome Online Accounts OAuth to connect to Gmail
Comment 4 Stephen Gordon 2012-01-30 10:23:29 EST
The license string issue has been corrected :). I can also see you also added an expanded description which is great, unfortunately though the lines in it are > 80 characters long, please ensure you put line breaks in the description field at or before 80 characters.

Otherwise the issues I raised in c#1 still stand:

- Use the %find_lang macro for the locale files:
  http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files

- This looks like a noarch package but is not marked as such:
  http://fedoraproject.org/wiki/Common_Rpmlint_issues#no-binary

The following additional issues appear to have been introduced because upstream have added a Greek translation but it is using the wrong locale (el instead of gr):

gmail-notify-ext.x86_64: E: incorrect-locale-el /usr/share/locale/gr/LC_MESSAGES
gmail-notify-ext.x86_64: E: invalid-lc-messages-dir /usr/share/locale/gr/LC_MESSAGES/gmail_notify.mo

See http://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-locale-el
Comment 5 Mohamed El Morabity 2012-01-30 17:24:51 EST
Adam: are you an approved packager? I can't find you in the Fedora Account System.
Comment 6 Adam Jabłoński 2012-01-30 17:31:27 EST
(In reply to comment #5)
> Adam: are you an approved packager? I can't find you in the Fedora Account
> System.

Nope, I'm kind of newbe in packaging :) Just authored one extension for gnome shell and wanted to share it with fedora people
Comment 7 Mohamed El Morabity 2012-01-30 17:45:19 EST
(In reply to comment #6)
> Nope, I'm kind of newbe in packaging :) Just authored one extension for gnome
> shell and wanted to share it with fedora people
OK, I just set the FE-NEEDSPONSOR blocker.
You probably already read the following page:
   http://fedoraproject.org/wiki/Join_the_package_collection_maintainers
   http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
So improve your package(s) according to the guidelines and the advices given by other packages, read other open review requests and don't hesitate to contribute to some of them ;). Hope you'll be soon approved.
Comment 8 Parag AN(पराग) 2015-01-12 03:14:13 EST
Removing FE-NEEDSPONSOR from the closed review tickets.

Note You need to log in before you can comment on or make changes to this bug.